# GradleBuild

interface GradleBuild : Model, BuildModel

Provides information about the structure of a Gradle build.

#### Since

1.8

## Functions

getBuildIdentifier
Link copied to clipboard
abstract fun getBuildIdentifier(): BuildIdentifier
Returns the identifier for this Gradle build.
getEditableBuilds
Link copied to clipboard
abstract fun getEditableBuilds(): DomainObjectSet<out GradleBuild>
Returns all builds contained in this build that should be imported into an IDE.
getIncludedBuilds
Link copied to clipboard
abstract fun getIncludedBuilds(): DomainObjectSet<out GradleBuild>
Returns the included builds that were referenced by this build.
getProjects
Link copied to clipboard
abstract fun getProjects(): DomainObjectSet<out BasicGradleProject>
Returns the set of all projects for this build.
getRootProject
Link copied to clipboard
abstract fun getRootProject(): BasicGradleProject
Returns the root project for this build.